Subject: bug#2975: texinfo-master-menu and emacs.texi

From: "Roland Winkler" <[email-masked]>
Date: Fri, 9 Dec 2011 01:48:20 -0600

On Fri Dec 9 2011 Eli Zaretskii wrote:
> I tried to explain that already, in my original mail: they are not
> needed if you structure your Texinfo source according to the rules
> described in "(texinfo)makeinfo Pointer Creation".
> 
> Most manuals should have no problems being structured like that (the
> Emacs User Manual and Emacs Lisp Manual are actually structured
> according to those rules), but some specialized uses of Texinfo cannot
> be limited to tree-like structure, or don't want to use sectioning
> commands (@chapter, @section, etc.) or menus, or want to order the
> nodes in some special way that defeats the automatic generation of
> node pointers.  For these, you must explicitly have the Next, Prev, Up
> pointers in Texinfo.

OK, thanks a lot. For me, this is an important clarification.

Roland